Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1047339 - Disks never spin down after set with gnome-disks
Summary: Disks never spin down after set with gnome-disks
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-disk-utility
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-30 14:03 UTC by John Obaterspok
Modified: 2015-06-29 13:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:57:05 UTC
Type: Bug


Attachments (Terms of Use)

Description John Obaterspok 2013-12-30 14:03:55 UTC
Description of problem:

System disk is on SSD and I configure the other disks to spin down after 1 hour of idleness in gnome-disks. The APM tab is disabled. However, disks never spin down.

Disks spin down if I issue hdparm -y /dev/sd[abc]
I've modified cat /etc/sysconfig/smartmontools to smartd_opts="--quit never --interval=18000" to increse smartd checking to every 5 hours.


Version-Release number of selected component (if applicable):
gnome-disk-utility-3.10.0-1.fc20.x86_64
hdparm-9.43-5.fc20.x86_64
kernel-3.12.5-302.fc20.x86_64


Steps to Reproduce:
1. Open gnome-disks and set non system disk to spindown after 1 hour of idleness
2. Wait until one hour elapsed and observe with hdparm -C /dev/disk


I've tried to check with:
blktrace -d /dev/sda -o - | blkparse -i -

and I see:
  8,16   2        0     0.000000000     0  m   N cfq7169S  / alloced
  8,16   2        1     0.000002933  7169  G   N [pool]
  8,16   2        2     0.000046444  7169  I   R 512 (85 08 2e 00 00 00 01 00 00 00 00 00 00 00 ec 00 ..) [pool]
  8,16   2        3     0.000049587  7169  D   R 512 (85 08 2e 00 00 00 01 00 00 00 00 00 00 00 ec 00 ..) [pool]
  8,16   3        1     0.001365183     0  C   R (85 08 2e 00 00 00 01 00 00 00 00 00 00 00 ec 00 ..) [2]
  8,16   3        2     0.001429088  7169  G   N [pool]
  8,16   3        3     0.001433488  7169  I   N 0 (85 06 20 00 00 00 00 00 00 00 00 00 00 00 e5 00 ..) [pool]
  8,16   3        4     0.001435583  7169  D   N 0 (85 06 20 00 00 00 00 00 00 00 00 00 00 00 e5 00 ..) [pool]
  8,16   3        5     0.002863902  6623  G   N [kworker/3:2]
  8,16   3        6     0.002865160  6623  I   N 0 (00 ..) [kworker/3:2]
  8,16   3        7     0.002866766  6623  D   N 0 (00 ..) [kworker/3:2]
  8,16   1        0    16.566888777     0  m   N cfq7169S  / put_queue
  8,16   1        1   599.950923456  7508  G   N [(null)]
  8,16   1        2   599.950928414  7508  I   N 0 (85 06 20 00 00 00 00 00 00 00 00 00 00 00 e5 00 ..) [(null)]
  8,16   1        3   599.950930859  7508  D   N 0 (85 06 20 00 00 00 00 00 00 00 00 00 00 00 e5 00 ..) [(null)]
  8,16   1        0   599.952433489     0  m   N cfq7341S  / alloced
  8,16   1        4   599.952435864  7341  G   N [kworker/1:2]
  8,16   1        5   599.952437400  7341  I   N 0 (00 ..) [kworker/1:2]
  8,16   1        6   599.952439146  7341  D   N 0 (00 ..) [kworker/1:2]
  8,16   2        0   599.949536482     0  m   N cfq7508S  / alloced
  8,16   2        4   599.949539415  7508  G   N [pool]
  8,16   2        5   599.949551707  7508  I   R 512 (85 08 2e 00 00 00 01 00 00 00 00 00 00 00 ec 00 ..) [pool]
  8,16   2        6   599.949554780  7508  D   R 512 (85 08 2e 00 00 00 01 00 00 00 00 00 00 00 ec 00 ..) [pool]
  8,16   3        8   599.950852218     0  C   R (85 08 2e 00 00 00 01 00 00 00 00 00 00 00 ec 00 ..) [2]
  8,16   3        0   616.507856370     0  m   N cfq7508S  / put_queue


But this should be okay right? Don't understand what [pool] is.

Comment 1 John Obaterspok 2014-01-11 12:10:41 UTC
Doing "systemctl stop udisks2" allows the disks to spin down after an hour. What is the udisks2 doing?

Comment 2 Lorenzo Mastrogiacomi 2014-02-01 01:13:04 UTC
(In reply to John Obaterspok from comment #1)
> Doing "systemctl stop udisks2" allows the disks to spin down after an hour.
> What is the udisks2 doing?

It reads smart every ten minutes. Try "udisksctl monitor"

I found useful this topic on linuxquestions.com:
http://www.linuxquestions.org/questions/slackware-14/usb-disk-won%27t-sleep-under-slackware-14-1-a-4175486386/

While before was enough to set the udev rule, the only trick that works now for me also is to switch smart off, and doing it while udisksd is not running

Comment 3 Fedora Admin XMLRPC Client 2014-02-17 15:36:41 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 John Obaterspok 2014-02-18 06:59:41 UTC
Well, if udisks2 is reading smart values every ten minutes it won't be possible for disks to sleep with higher idleness than 5-10 minutes. Right?

If I set disks to sleep after 1 hour of idleness shouldn't the smart checking period value be adjusted as well?

What I've done now is this:
In /etc/sysconfig/smartmontools I've set the command line options for smartd to:
      smartd_opts="--quit never --interval=18000"

This will let smartd check every 5h

Then I've completely disabled udisks2:
      systemctl disable udisks2
      systemctl mask udisks2
      systemctl stop udisks2

Then I have a script that set spin down after 2 x 30 minutes of idleness
      hdparm -S 242 /dev/sdX


Probably not the best solution, but it works.

Comment 5 Fedora Admin XMLRPC Client 2014-07-01 12:17:16 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora End Of Life 2015-05-29 10:14:20 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-06-29 13:57:05 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.